POST
更新持卡人
使用此接口更新已有持卡人的资料信息。
请求
ApiKeyOnerway 分配的发卡 API key 请求 Header。
示例:
replace_with_issuing_api_keymerchantNoOnerway 分配的商户号。
示例:
88888cardholderId待更新的持卡人 ID。
示例:
300001firstName持卡人名。
lastName持卡人姓。
email持卡人邮箱。
mobile持卡人手机号。
示例:
13800138000mobileAreaCode手机国际区号。
示例:
+86birthDay出生日期。
示例:
1990-01-01nationality国籍,使用 ISO 3166-1 alpha-2 两位代码。
示例:
CNaddressCountryCode地址国家或地区代码。
addressStateCode州 / 省代码。
addressCityCode城市代码。
addressDetailLine1地址行 1。
addressDetailLine2地址行 2。
addressPostalCode邮编。
remark备注。
示例:
example remarkcurl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/cardholder/updateCardholder' \
-H 'ApiKey: replace_with_issuing_api_key' \
-H 'Content-Type: application/json' \
--data-raw '{
"addressCityCode": "GZ",
"addressCountryCode": "CN",
"addressDetailLine1": "Example address line 1",
"addressPostalCode": "510000",
"addressStateCode": "GD",
"cardholderId": 300001,
"email": "example_cardholder@example.com",
"firstName": "Alex",
"lastName": "Chen",
"merchantNo": 88888
}'响应
respCode业务响应码;
20000 表示成功。respMsg响应信息。
data{ cardholderId, firstName, ... }更新后的持卡人信息。
{
"respCode": "20000",
"respMsg": "success",
"data": {
"cardholderId": 300001,
"firstName": "Alex",
"lastName": "Chen",
"email": "example_cardholder@example.com",
"mobile": null,
"mobileAreaCode": null,
"birthDay": null,
"nationality": "CN",
"addressRegionCode": "CN",
"addressStateCode": "GD",
"addressCityCode": "GZ",
"addressDetailLine1": "Example address line 1",
"addressDetailLine2": null,
"addressPostalCode": "510000",
"remark": null
}
}该接口暂未记录错误响应。